For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
              • GETList Tax Rates
              • POSTCreate Tax Rates
              • PUTUpdate Tax Rates
              • DELDelete Tax Rates
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxTax Rates

List Tax Rates

GET
https://api.bigcommerce.com/stores/:store_hash/v3/tax/rates
GET
/stores/:store_hash/v3/tax/rates
$curl https://api.bigcommerce.com/stores/store_hash/v3/tax/rates \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "class_rates": [
5 {
6 "rate": 7.25,
7 "tax_class_id": 1
8 }
9 ],
10 "enabled": true,
11 "id": 3,
12 "name": "California State Sales Tax",
13 "priority": 1,
14 "tax_zone_id": 2
15 }
16 ],
17 "meta": {
18 "pagination": {
19 "total": 1,
20 "count": 1,
21 "per_page": 1,
22 "current_page": 1,
23 "total_pages": 1,
24 "links": {
25 "current": "?page=1&limit=1"
26 }
27 }
28 }
29}
Retrieve a list of tax rates.
Was this page helpful?
Previous

Delete Tax Zones

Next

Create Tax Rates

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

id:inlist of integersOptional

Filter by tax rate id. Use a comma-separated CSV string of IDs for multiple tax rates. For example, 5 or 12,34,56.

tax_zone_id:inlist of integersOptional

Filter by tax zone id. Use a comma-separated CSV string of IDs for multiple tax zones. For example, 5 or 12,34,56.

Response

OK
datalist of objects
metaobject

The MIME type of the response body.